#include <sys/queue.h>

/* structure to hold all of the useful bits of the tracer .. */

struct myctx {
	u_int		 dport;			/* trace dest port */
	u_int		 hop;			/* how far along */
	u_int		 count;			/* number of packets sent */
	struct addr	 dst;			/* target address */
	struct addr	 src;			/* source address */
	pcap_t		*p;			/* pcap handle */
	ip_t		*ip;			/* ip send handle */
	rand_t	        *rand;			/* PRNG */
	int		 dl_len;		/* datalink layer hdr len */
	struct event	 send_ev;		/* send event */
	struct event	 recv_ev;		/* receive event */
	struct timeval	 tv;			/* timeout values */
};

struct jtrace_pkt {
	union {
		struct ip_hdr ip;
	} pkt_hdr_i;
	union {
		struct tcp_hdr tcp;
	} pkt_hdr_t;
};
